FILEMAP_FDATAWAIT_RA(9)

NAME
filemap_fdatawait_range - wait for writeback to complete

SYNOPSIS

int filemap_fdatawait_range(struct address_space * mapping, loff_t start_byte, loff_t end_byte);

ARGUMENTS

mapping
    address space structure to wait for

start_byte
    offset in bytes where the range starts

end_byte
    offset in bytes where the range ends (inclusive)

DESCRIPTION

Walk the list of under-writeback pages of the given address space in the given range and wait for all of them.

COPYRIGHT